Skip to main content
GET
/
clients
/
{id}
Get Client
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/clients/{id} \
  --header 'X-API-KEY: <api-key>'
{ "id": "uLu8K", "client_name": "Acme Corp", "client_contact_name": "<string>", "client_contact_phone": "<string>", "client_contact_email": "<string>", "client_contact_title": "<string>", "default_comments_for_workers": "<string>", "client_invoice_customer_id": "<string>", "client_address": "<string>", "client_city": "<string>", "client_state": "<string>", "client_postal_code": "<string>", "company_name": "<string>", "client_portal_connection_status": 123, "client_portal_connection_datetime": "<string>", "client_portal_invite_datetime": "<string>", "client_portal_invite_email": "<string>", "pending": true }

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Client ID

Response

OK

id
string

Unique client identifier.

Example:

"uLu8K"

client_name
string

Client display name.

Example:

"Acme Corp"

client_contact_name
string | null

Primary contact name.

client_contact_phone
string | null

Primary contact phone number.

client_contact_email
string | null

Primary contact email address.

client_contact_title
string | null

Primary contact job title.

default_comments_for_workers
string | null

Default instructions shown to workers assigned to this client's events.

client_invoice_customer_id
string | null

External invoice/customer ID for billing integration.

client_address
string | null

Street address.

client_city
string | null

City.

client_state
string | null

State or province.

client_postal_code
string | null

Postal or ZIP code.

company_name
string | null

Company name associated with the client.

client_portal_connection_status
integer | null

Client portal connection status. 0 = invited, 2 = connected, null = not connected.

client_portal_connection_datetime
string | null

Datetime when the client portal was connected.

client_portal_invite_datetime
string | null

Datetime when the client portal invitation was sent.

client_portal_invite_email
string | null

Email address the client portal invitation was sent to.

pending
boolean

Whether the client is in a pending state.